#pragma once

#include <filesystem>

namespace rrr::func
{
  template<typename Color>
  inline Color get_IMGUI_color(float r, float g, float b)
  {
    return Color(r / 255.f, g / 255.f, b / 255.f, 1.f);
  }

  // для экоранирования путей чтоб unix команды нормально выполнялись
  // правила тут вилимо будут добавлятся так что эт не конец:(
  inline std::filesystem::path sheilding(std::filesystem::path PWD)
  {
    std::string pwd_local;

    for (char c : PWD.string()) {
      if (c == ' ') 
        pwd_local += "\\ ";
      else if (c == '(') 
        pwd_local += "\\(";
      else if (c == ')') 
        pwd_local += "\\)";
      else 
        pwd_local += c;
    }

    return pwd_local;
  }
}
